Skip to main content
GET
/
config
/
templates
/
{template_id}
Get Template
curl --request GET \
  --url https://api.example.com/config/templates/{template_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/config/templates/{template_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/config/templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "use_case_key": "<string>",
  "description": "<string>",
  "recommended_config": {},
  "required_tools": [
    "<string>"
  ],
  "sample_first_message": "<string>",
  "is_system_template": true,
  "is_public": true,
  "usage_count": 123,
  "created_at": "<string>",
  "updated_at": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

template_id
string<uuid>
required

Response

Successful Response

Agent template response.

id
string<uuid>
required
owner_id
string<uuid>
required
name
string
required
use_case_key
string
required
description
string | null
required
required_tools
string[]
required
sample_first_message
string | null
required
is_system_template
boolean
required
is_public
boolean
required
usage_count
integer
required
created_at
string
required
updated_at
string
required